Get Order(s)
Get detailed order(s) data associated with your partner account. Sync order records directly into your existing infrastructure to power internal admin tools, programmatically reconcile ledgers, monitor real-time order status lifecycles, equip support teams to troubleshoot payment errors, display transaction history to your end-users, and more. Tailor your requests to fit your specific workflow using flexible querying and filtering parameters.
Endpoints
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | GET | https://partner-sandbox.wert.io/api/external/orders |
| Production | GET | https://partner.wert.io/api/external/orders |
Limits
- Threshold: 10 requests per second
- Exceeded Rate Response:
429 Too Many Requests - Partner Account Scope: You can only query orders that were created by with your partner account.
Query Parameters
Configure your request using the parameters below to search and filter order results.
Pagination Reference
- Orders are returned newest first.
- Pass the next_cursor_id from the previous response as cursor_id to get the next page. An empty next_cursor_id means there are no more orders.
- The maximum is 20 orders per request.
numberThe number of orders you want to retrieve. Defaults to 20.
Possible values: 0 to 20
stringFetches the next page of results using the next_cursor_id from a previous response. Defaults to an empty string.
Possible values: 01KAQWBNWWGG06HR5T9Z35A3WD
stringSearch for specific orders using order IDs, click IDs, or external order IDs. You can pass a single identifier or a comma-separated list to look up multiple orders across identifier types in a single request.
Possible values: Single or comma-separated identifiers (e.g., 2FX6Yz or click_id1, order_id1).
string (ISO 8601 date-time format)Filters orders with created_at after this timestamp.
Note: Use
start_dateandend_datetogether to return orders for a specific period. If you have a high volume of orders, use a narrow time range (maximum 20 orders per request).
Possible values: YYYY-MM-DDTHH:MM:SSZ, for example 2025-11-19T23:59:59.00Z.
string (ISO 8601 date-time format)Filters orders with created_at up to this timestamp.
Note: Use
start_dateandend_datetogether to return orders for a specific period. If you have a high volume of orders, use a narrow time range (maximum 20 orders per request).
Possible values: YYYY-MM-DDTHH:MM:SSZ, for example 2025-11-19T23:59:59.00Z.
enum <string>The crypto asset purchased or sent to the smart contract.
Possible values: See Available Commodities.
stringThe unique identifier for the user in Wert's database.
Possible values: Single or comma-separated identifiers (e.g., user_id1 or user_id1, user_id2, user_id3).
enum <string>The status of the order.
Possible values: See Statuses.
enum <string>Payment error code for fail reasons.
Possible values: See Error Codes.
enum <string>Authentication method of the payment.
Possible values: See Payment Types.
Example Requests
# 1. Get the 10 most recent orders (default)
curl -X GET 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key'
# 2. Retrieve 20 orders using a cursor and ascending order
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'limit=20' \
-d 'cursor_id=01KAQWBNWWGG06HR5T9Z35A3WD' \
-d 'order_by=asc'
# 3. Search for orders using a single click_id
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'search_by=click_id'
# 4. Search for orders using a single external_order_id
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'search_by=2FX6Yz'
# 5. Search using multiple click_ids and order_ids
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'search_by=click_id1,click_id2,order_id1,order_id2'
# 6. Filter orders by status
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'status=failed'
# 7. Filter orders by date range
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'start_date=2025-11-19T00:00:00Z' \
-d 'end_date=2025-11-19T23:59:59Z'
# 8. Filter orders by status and commodity
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/orders' \
-H 'X-Api-Key: your-unique-api-key' \
-d 'status=failed' \
-d 'commodity=tt_amoy.erc-20.polygon'Response
booleanIndicates if the request was successfully processed.
object[]Show child attributes
string
The unique identifier for the order in Wert's database.
string
The identifier you pass to Wert when you initialise the widget.
string
The base currency for the order.
number
The value of the order in the base currency.
string
The unique identifier for an order. Used in partner dashboard and customer emails.
enum <string>
The crypto asset purchased or sent to the smart contract.
Possible values: See Available Commodities.
number
The amount of the crypto asset purchased or sent to the smart contract.
string
The unique identifier for the user in Wert's database.
enum <string>
The status of the order.
Possible values: See statuses.
string
The unique identifier for the card used in Wert's database.
string
Timestamp of when the order was created (UTC). See Example Response for the time format.
string
Timestamp of when the order was last updated (UTC). See Example Response for the time format.
number
Partner revenue fee amount in the charged currency.
number
The percentage of fees collected as partner revenue.
number
Wert revenue fee amount in the charged currency.
number
The percentage of fees collected as Wert revenue.
string
Blockchain transaction hash.
string
The acquirer who processed the card payment.
string
Visa, Mastercard, etc.
enum <string>
Payment error code.
Possible values: See Error Codes.
enum <string>
Authentication method of the payment.
Possible values: See Payment Types.
string | null
Additional information.
string
The address specified for the order.
string
Smart contract input data sent in the transaction.
enum <string>
Available payment methods.
Possible values: See Payment Methods.
stringThe cursor string used to fetch the next page of results.
numberThe count of orders matching the search criteria. When cursor_id is set, only orders after the cursor are counted.
Example Response
{
"success": true,
"data": [
{
"additional_data": null,
"address": "0x8b444bf218D83Bd567E625383EB2e5A25f707599",
"card_brand": "VISA",
"card_id": "01KHB8JNDE3NJ1NG8F1C087X6K",
"changed_at": "2026-06-02 08:45:44",
"click_id": "click_id",
"created_at": "2026-06-02 08:44:43",
"crypto": "tt.erc-20-sc.base",
"crypto_amount": 12.92,
"currency": "USD",
"currency_amount": 14.25,
"external_order_id": "zvLHq",
"fail_reason": "",
"order_id": "01KT3R3BQ2ZRBHZN58E6VVY5F3",
"partner_fee": 0.14,
"partner_fee_percent": 0.01,
"payment_type": "non_3ds",
"payment_method": "card",
"processed_through": "worldpay",
"sc_input_data": "0x48bc17bf0000000000000000000000008b444bf218d83bd567e625383eb2e5a25f70759900000000000000000000000000000000000000000000000000000000000000a0000000000000000000000000000000000000000000000000b34d0f8c020c000000000000000000000000000000000000000000000000000000000000000001c20000000000000000000000000000000000000000000000000618a2d524ef00000000000000000000000000000000000000000000000000000000000000000035697066733a2f2f516d574e7a6d5a6b77664531393967386e6b415373583950636d6136796b425747344373734376336b456e764a700000000000000000000000",
"status": "success",
"tx_id": "0xe6456e64a1e6d7f226deb7ff344cb5321a3a997165ea24569465493ff7385216",
"user_id": "01HQRBTDW17YQSZFBWZY7807B1",
"wert_fee": 1,
"wert_fee_percent": 0.05
}
],
"next_cursor_id": "01KAQWBNWWGG06HR5T9Z35A3WD",
"total": 1
}References
Commodities
The list of supported crypto assets and network identifiers for the commodity parameter across Production and Sandbox environments.
Only the most frequently used commodities are listed above. Should you require information regarding a commodity not included in this table, please contact the Partner Support team.
Commodities Enum
Production Commodities
Sandbox Commodities
Statuses
The following order statuses are available:
| Status | Description |
|---|---|
| success | The order was successful and has been sent on the blockchain |
| failed | The order has failed and will not be sent on the blockchain |
| cancelled | The payment for the order was processed but the order was later cancelled |
| pending | The order is being processed but it hasn't been sent on the blockchain |
| progress | The order is being processed but payment has not yet been completed |
| created | The order has been created but payment has not yet been processed |
Payment Error Codes
The following table identifies the specific cause of transaction failures returned in the fail_reason field in the response. Use these codes to provide accurate troubleshooting steps to your users.
| Error Code | Description |
|---|---|
| 4000 | We weren’t able to charge the user’s card and the order was not completed. The user can try again. |
| 4001 | The transaction failed due to an incorrect CVV/CVC. The user can try again ensuring they enter the correct CVV/CVC. |
| 4002 4010 4012 | Payment was declined by the card issuer. The user should contact them for further details. |
| 4003 | Incorrect card details. The user can try again ensuring they enter valid card details. |
| 4004 | Insufficient balance. The user should add funds to their card and try again. |
| 4005 | Card limit was exceeded. The user should use a different card to complete their purchase. |
| 4011 | Card validation failed. The user can add a valid card and try again. |
| 4013 | Payment was declined due to risk assessment. |
| 4014 | Name on the bank payment account doesn't match the verified identity. The user should contact support for further assistance. |
| 4015 | Payment wasn't received within the expected time. |
| 4016 | Payment was received after the order timeout period. Funds will be refunded shortly. |
| 4017 | Payment amount doesn't match the order amount. |
| 4018 | Payment was canceled by the user. No funds were charged. |
Payment Types
Payment type shows how your bank verified the payment, if your payment method uses a bank security check.
| payment_type | description |
|---|---|
| 3ds_v2 | Verified with 3-D Secure 2, with an extra confirmation step such as a one-time code or app approval. |
| frictionless | Verified with 3-D Secure 2, with no extra confirmation step. |
| 3ds_v1** | Verified with the older 3-D Secure 1 protocol. |
| non_3ds** | Processed without 3-D Secure verification. |
| unknown | No bank security check result is available for this payment, because the payment did not complete or the payment method does not use one. |
** 3ds_v1 and non_3ds are legacy values. They are no longer used for new payments, but they can still appear on older orders.
Updated about 16 hours ago

